import * as plugins from './smartfile.plugins';
import * as fsMod from './smartfile.fs';
import * as fsStreamMod from './smartfile.fsstream';
import * as interpreterMod from './smartfile.interpreter';
import * as memoryMod from './smartfile.memory';

export { Smartfile, ISmartfileConstructorOptions } from './smartfile.classes.smartfile';
export { VirtualDirectory } from './smartfile.classes.virtualdirectory';

export const fs = fsMod;
export const fsStream = fsStreamMod;
export const interpreter = interpreterMod;
export const memory = memoryMod;
